#ifndef serial_h
#define serial_h

/*
 *
 * $Id$
 *
 * NAME:
 *	serial.h - Copyright (C) 1998 David Corcoran
 *             corcordt@cs.purdue.edu
 *
 * DESCRIPTION:
 *      This provides Unix/Mac serial interface drivers.
 *
 * AUTHOR:
 *	David Corcoran, 3/17/98
 *
 * LICENSE: See file LICENSE.
 *
 */

#include "defines.h"

BOOL IO_InitializePort(	int baud,int bits,char par,char* port);

HANDLE
IO_ReturnHandle(        /* Returns the current handle           */	void);

int 
IO_UpdateReturnBlock(   /* Returns the current blocking time    */
	int blocktime   /* The updated blocking time            */
);

int
IO_ReturnBaudRate(      /* Return the current baudrate          */
	void
);

BOOL			/* True for sucess, false otherwise	*/
IO_FlushBuffer(		/* Flush buffer to card reader		*/
	void
);

BOOL
IO_Read(		/* Read up to 256 bytes from the port	*/
	int readsize,   /* Number of bytes to read		*/
	BYTE *response  /* Bytes read                           */
);	

BOOL    
IO_Write(
	BYTE c          /* Byte to be written                   */
);

BOOL			/* True for success, false otherwise */
IO_Close(			/* On a Mac, gotta close the port */
	void
);

#endif


